hledger-lib-1.50.3: A library providing the core functionality of hledger

Safe Haskell | None
Language | GHC2021

Hledger.Write.Csv

Contents

- Tests

Description

CSV utilities.

Synopsis

- type CSV = [CsvRecord]
- type CsvRecord = [CsvValue]
- type CsvValue = Text
- printCSV :: CSV -> Text
- printTSV :: CSV -> Text
- tests_CsvUtils :: TestTree

# Documentation

type CSV = [CsvRecord] Source #

type CsvRecord = [CsvValue] Source #

type CsvValue = Text Source #

printCSV :: CSV -> Text Source #

printTSV :: CSV -> Text Source #

# Tests

tests_CsvUtils :: TestTree Source #